### File

`packages/eui/packages/components-next/src/lib/components/eui-message-box/models/eui-message-box.config.ts`

### Implements

`EuiMessageBoxInterface`

### Index

###### Properties
acceptLabel closeOnClickOutside dismissLabel e2eAttr hasCloseButton type

### Constructor

`constructor(values: EuiMessageBoxInterface)`
Parameters :
Name | Type | Optional
values | `EuiMessageBoxInterface` | No

### Properties

acceptLabel
Type : `string`
Default value : `'eui.YES'`

closeOnClickOutside
Type : `boolean`
Default value : `false`

dismissLabel
Type : `string`
Default value : `'eui.NO'`

e2eAttr
Type : `string`
Default value : `'eui-message-box'`

hasCloseButton
Type : `boolean`
Default value : `true`

type
Default value : `'warning'`

# result-matching ""

# No results matching ""